require ("__base__.prototypes.entity.demo-pipecovers")

data:extend({
	{
		type = "recipe-category",
		name = "doing-bad-stuff"
	  },
	  {
		type = "item",
		name = "boskid-furnace",
		icon = "__base__/graphics/icons/electric-furnace.png",
		icon_size = 32,
		subgroup = "smelting-machine",
		order = "c[electric-furnace]",
		place_result = "boskid-furnace",
		stack_size = 50
	},

	{
		type = "recipe",
		name = "suage-processing",
		category = "doing-bad-stuff",
		energy_required = 5,
		enabled = true,
		icon = "__base__/graphics/icons/fluid/light-oil-cracking.png",
		icon_size = 32,
		ingredients =
		{
			{type="fluid", name="sulfuric-acid", amount=100},
		},
		results=
		{
			{type="fluid", name="water", amount=10},
			{type="fluid", name="water", amount=20}
		},
		subgroup = "smelting-machine",
		crafting_machine_tint =
		{
		  primary = {r = 0.875, g = 0.735, b = 0.000, a = 0.000}, -- #dfbb0000
		  secondary = {r = 0.103, g = 0.940, b = 0.000, a = 0.000}, -- #1aef0000
		  tertiary = {r = 0.564, g = 0.795, b = 0.000, a = 0.000}, -- #8fca0000
		}
	},

	{
		type = "furnace",
		name = "boskid-furnace",
		icon = "__base__/graphics/icons/electric-furnace.png",
		icon_size = 32,
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {mining_time = 0.2, result = "boskid-furnace"},
		max_health = 350,
		corpse = "medium-remnants",
		dying_explosion = "medium-explosion",
		resistances = {
		  {type = "fire",percent = 80}
		},
		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
		module_specification = {
		  module_slots = 2,
		  module_info_icon_shift = {0, 0.8}
		},
		allowed_effects = {"consumption", "speed", "productivity", "pollution"},
		crafting_categories = {"doing-bad-stuff"},
		result_inventory_size = 1,
		crafting_speed = 2,
		energy_usage = "180kW",
		source_inventory_size = 1,
		energy_source = {
			type = "fluid",
			scale_fluid_usage = true,
			fluid_usage_per_tick = 1,
			fluid_box = {
				production_type = "input",
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {
					{ type="input", position = {-2, 1}, max_underground_distance = 10 }
				}
			},
			emissions_per_minute = 1
		},
		vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
		working_sound = {
		  sound = {
			filename = "__base__/sound/electric-furnace.ogg",
			volume = 0.7
		  },
		  apparent_volume = 1.5
		},
		animation = {
		  layers = {
			{
			  filename = "__base__/graphics/entity/electric-furnace/electric-furnace-base.png",
			  priority = "high",
			  width = 129,
			  height = 100,
			  frame_count = 1,
			  shift = {0.421875, 0},
			  hr_version =
			  {
				filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace.png",
				priority = "high",
				width = 239,
				height = 219,
				frame_count = 1,
				shift = util.by_pixel(0.75, 5.75),
				scale = 0.5
			  }
			},
			{
			  filename = "__base__/graphics/entity/electric-furnace/electric-furnace-shadow.png",
			  priority = "high",
			  width = 129,
			  height = 100,
			  frame_count = 1,
			  shift = {0.421875, 0},
			  draw_as_shadow = true,
			  hr_version =
			  {
				filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace-shadow.png",
				priority = "high",
				width = 227,
				height = 171,
				frame_count = 1,
				draw_as_shadow = true,
				shift = util.by_pixel(11.25, 7.75),
				scale = 0.5
			  }
			}
		  }
		},
		working_visualisations =
		{
		  {
			animation =
			{
			  filename = "__base__/graphics/entity/electric-furnace/electric-furnace-heater.png",
			  priority = "high",
			  width = 25,
			  height = 15,
			  frame_count = 12,
			  animation_speed = 0.5,
			  shift = {0.015625, 0.890625},
			  hr_version =
			  {
				filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace-heater.png",
				priority = "high",
				width = 60,
				height = 56,
				frame_count = 12,
				animation_speed = 0.5,
				shift = util.by_pixel(1.75, 32.75),
				scale = 0.5
			  }
			},
			light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}, color = {r = 1.0, g = 1.0, b = 1.0}}
		  },
		  {
			animation =
			{
			  filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-1.png",
			  priority = "high",
			  width = 19,
			  height = 13,
			  frame_count = 4,
			  animation_speed = 0.5,
			  shift = {-0.671875, -0.640625},
			  hr_version =
			  {
				filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace-propeller-1.png",
				priority = "high",
				width = 37,
				height = 25,
				frame_count = 4,
				animation_speed = 0.5,
				shift = util.by_pixel(-20.5, -18.5),
				scale = 0.5
			  }
			}
		  },
		  {
			animation =
			{
			  filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-2.png",
			  priority = "high",
			  width = 12,
			  height = 9,
			  frame_count = 4,
			  animation_speed = 0.5,
			  shift = {0.0625, -1.234375},
			  hr_version =
			  {
				filename = "__base__/graphics/entity/electric-furnace/hr-electric-furnace-propeller-2.png",
				priority = "high",
				width = 23,
				height = 15,
				frame_count = 4,
				animation_speed = 0.5,
				shift = util.by_pixel(3.5, -38),
				scale = 0.5
			  }
			}
		  }
		},
		fast_replaceable_group = "assembling-machine",

		fluid_boxes =
		{
		  {
			production_type = "input",
			pipe_covers = pipecoverspictures(),
			base_area = 10,
			base_level = -1,
			pipe_connections = {
				{ type="input-output", position = {-1, -2} },
				{ type="input-output", position = {2, -1}, max_underground_distance = 10 }
			}
		  },
		  {
			production_type = "output",
			pipe_covers = pipecoverspictures(),
			base_level = 1,
			pipe_connections = {{ position = {2, 1}, max_underground_distance = 10 }}
		  }
		}
	},
})
